Browsable Browsable Docs

eBay Item API

Scrape a public eBay item detail page from a search result URL or item id.

POST /v1/ebay/item

Request Parameters

Name In Type Required Description
id body string No eBay item id, or the id value returned by ebay/search.
url body string No eBay item URL returned by ebay/search.

Response Structure

Async kickoff response

Polled run result response

Sync response

Declared output schema

Code Examples

Async + polling

RUN=$(curl -s -X POST "https://api.browsable.app/v1/ebay/item" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"id":"id-1","url":"https://www.ebay.com/itm/166830720962"}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
done

Sync

curl -X POST "https://api.browsable.app/v1/ebay/item" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"id":"id-1","url":"https://www.ebay.com/itm/166830720962","_run":{"async":false}}'